#! /usr/bin/env python
#ae=\xc6, oe=\xd8 og aa=\xc5 (store bokstaver)
#ae=\xe6, oe=\xf8 og aa=\xe5 (smaa bokstaver)

#------------------------- Lisensinformasjon -----------------------------
# """
#    frukter.py - et program for de som liker frukt, ikke liker det, eller
#    skulle oenske de likte det.
#    Skrevet av Axel Bojer i mai 2005
#    Siste endring: 19.5.2005
#
#    Copyright (C) 2005  Axel Bojer <axel @ bojer.no>
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
# """

import sys #For aa kunne bruke tilvalg

#------------------------- Vaar (forberedelser) -----------------------------
#Hovedmeldinger
logo="\tFRUKTVALG-PROGRAMMET"
hvilken="Hvilken frukt liker du best?"
sprsml="Bananer (b), p\xe6rer (p) eller meloner (m)? "
#Menyvalg - meldinger
b="Banan er godt!"
p="P\xe6re er godt!"
m="Melon er godt!"
#Menyvalg som ikke staar paa menyen
a="Mye god frukt, ja!"
ap="Appelsiner er godt, men lista var full."
ba="Dessverre, ingen b\xe6r p\xe5 denne lista."
d="Druer, er ikke det et b\xe6r? Dessverre, ingen b\xe6r p\xe5 lista."
e="Ingen epler, du f\xe5r g\xe5 p\xe5 butikken."
f="Mmm! fiken; s\xf8te og gode. Det mangler p\xe5 lista."
fr="Hvilken frukt?"
fe="""Fersken og aprikos, ananas og ... valgene tar visst aldri slutt
jeg m\xe5 begrense meg, skj\xf8nner du. """
k="Kiwi? Det var det ikke plass til."
l="Limett er for surt"
ma="Mandariner eller klementiner? Javel, da."
pl="""Roser er r\xf8de, fioler er bl\xe5, plommer er s\xf8te og du er likes\xe5.
(Jordb\xe6r er s\xf8te? Beklager, ingen b\xe6r p\xe5 denne lista.)"""
po="Poteter? Det er da ingen frukt."
s="Sitroner er for sure."
sj="Det var en sjelden frukt!"
#Meldinger som gis uten meny
ikke="Du liker ikke frukt du?"
dK="Dette er for dumt!"
aK="Jeg liker alt."
kp="Fruktkompott!"

#Fruktvalg - lister
banan=["b","B","banan","Banan","bananer","Bananer"]
baerL=["b\xe6rene","B\xe6rene","alle b\xe6r", "Alle b\xe6r", "alle b\xe6rene","Alle b\xe6rene","b\xe6rmeny","B\xe6rmeny","b\xe6rliste","B\xe6rliste","liste over b\xe6r","Liste over b\xe6r","vanlige b\xe6r","Vanlige b\xe6r","Vis b\xe6rlista","Vis b\xe6rlista","vis b\xe6rmenyen","Vis b\xe6rmenyen"] #Vis en liste over baer
paere=["p","P","p\xe6re","P\xe6re","p\xe6rer","P\xe6rer"]
melon=["m","M","melon","Melon","meloner","Meloner"]
#Ekstravalg
altL=["a","A","alt","Alt","alt sammen","Alt sammen"]
appelsin=["ap","appelsin","Appelsin"]
baer=["b\xe6r","B\xe6r","bl\xe5b\xe6r","bl\xe5b\xe6r","bringeb\xe6r","Bringeb\xe6r","jordb\xe6r","Jordb\xe6r","kirseb\xe6r","Kirseb\xe6r","molter","multer","Molter","Multer","molteb\xe6r","Molteb\xe6r","moreller","Moreller","solb\xe6r","Solb\xe6r","stikkelsb\xe6r","Stikklesb\xe6r","rips","Rips","ripsb\xe6r","Ripsb\xe6r"]
drue=["d","D","drue","Drue","druer","Druer"]
eple=["e","E","eple","Eple","epler","Epler"]
ferkos=["fe","Fe","fE","FE","fersken","Fersken","ferskener","Ferskener","ap","Ap","aP","AP","aprikos","Aprikos","aprikoser","Aprikoser","an","An","aN","AN","ananas","Ananas"]
fiken=["f","F","fiken","Fiken"]
frukter=["meny", "Meny","frukter","Frukter","alle fruktene","Alle fruktene","fruktliste","Fruktliste","Alle fruktene jeg vet om","alle fruktene jeg vet om","liste","Liste","vis fruktliste","Vis fruktliste","vis fruktmeny","Vis fruktmeny"] #Vis alle fruktene
frukt=["frukt","Frukt"]
kiwi=["k","K","kiwi","Kiwi"]
limett=["l","L","limett","Limett","limetter","Limetter"]
mandarin=["ma","Ma","mA","MA","mandarin","Mandarin","mandariner","Mandariner","kl","Kl","kL","KL","klementin","Klementin","klementiner","Klementiner"]
menyer=["menyer","Menyer","menyene","Menyene","begge menyene","Begge menyene","vis menyene","Vis menyene","vis begge menyene","Vis begge menyene","vis menyer","Vis menyer","lister","Lister","listene","Listene","vis begge listene","Vis begge listene","vis lister","Vis lister"]
plomme=["pl","plomme","Plomme","plommer","Plommer"]
potet=["po","Po","pO","PO","potet","Potet","poteter","Poteter"]
sitron=["s","S","sitron","Sitron","sitroner","Sitroner"]
sjelden=["pa","Pa","pA","PA","pasjonsfrukt","Pasjonsfrukt","kj","Kj","kJ","KJ","kj\xe6rlighetsfrukt","Kj\xe6rlighetsfrukt","mango","Mango"]

#Meny over menyvalg som ikke staar i menyen
meny="""
\t Frukter jeg vet om:
Ananas, appelsin, aprikos, banan, b\xe6r av alle slag (f.eks druer),
eple, fersken, fiken, kiwi, kj\xe6rlighetsfrukt, limett, mandarin/klementin,
mango, melon, pasjonsfrukt, plomme, p\xe6re og sitron."""
baerM="""
\t Vanlige b\xe6r:
Bl\xe5b\xe6r, bringeb\xe6r, druer, jordb\xe6r, kirseb\xe6r,
molter, moreller, solb\xe6r, stikkelsb\xe6r og rips."""

#Kommandolinjevalg
tilvalg=sys.argv
alt=["-a","--alt"]
dumt=["-d", "--dumt"]
hjelp=["-h","--hjelp"]
ikke_logo=["-i", "--ikke-logo"]

#------------------------- Sommer (vises paa kommandolinja) -----------------------------
if (hjelp[-1] in tilvalg) or (hjelp[-2] in tilvalg):#Hvis -h/--hjelp ble valgt paa kommandolinja
    print """
    Hjelpetekst for Fruktvalg-programmet.
    Du kan bruke f\xf8lgende tilvalg (etter programnavnet):
    -a, --alt \t\t Jeg liker alt
    -d, --dumt \t\t For deg som synes dette er for dumt
    -h, --hjelp \t Vis denne hjelpeteksten
    -i, --ikke-logo \t Ikke vis logoen.
    Tips: 
    N\xe5r du velger frukt kan du ogs\xe5 bruke hele fruktnavnet.
    Du kan velge frukter som ikke st\xe5r p\xe5 lista, 
    men svaret blir kanskje ikke slik du forventer :-)

    \xa9 GNU public license, Axel Bojer 2005.
"""
    exit

#------------------------- Innhoesting (selve programmet) -----------------------------
else:
    try: #Gjoer det mulig aa avslutte med "Ctrl+C" uten feilmelding
        print
        if (ikke_logo[-1] not in tilvalg) and (ikke_logo[-2] not in tilvalg):#Vis logo?
            print logo
        else:
            pass
#Sjekk om baade -a/--alt og -d/--dumt er valgt samtidig.
        if ((dumt[-1] in tilvalg) or (dumt[-2] in tilvalg)) and ((alt[-1] in tilvalg) or (alt[-2] in tilvalg)):
            print sprsml + "\n" + dK + "\n" + aK
        elif (dumt[-1] in tilvalg) or (dumt[-2] in tilvalg):#Hvis bare -d/--dumt er valgt
            print sprsml + "\n" + dK
        elif (alt[-1] in tilvalg) or (alt[-2] in tilvalg):#Hvis bare -a/--alt er valgt
            print sprsml + "\n" + aK
        else:#Hvis verken -a/--alt eller -d/--dumt er valgt
            print hvilken
            valg=raw_input(sprsml)
#Hovedloekke: Fruktvalgets kvaler
            if valg in banan :#Banan
                print b
            elif valg in paere :#Paere
                print p
            elif valg in melon:#Melon
                print m
#Ekstravalg som *ikke* staar paa lista :-)
            elif valg in altL:#Jeg liker alt
                print a
            elif valg in appelsin:#Appelsin
                print ap
            elif valg in baer:#Baer av ulike slag
                print ba
            elif valg in eple:#Eple
                print e
            elif valg in drue: #Drue er et baer
                print d
            elif valg in ferkos:#Fersken, aprikos eller ananas
                print fe
            elif valg in fiken:#Fiken
                print f
            elif valg in frukt:#Fiken
                print fr
            elif valg in kiwi:#Kiwi
                print k
            elif valg in limett:#Limett
                print l
            elif valg in mandarin:#Mandarin eller klementin
                print ma
            elif valg in plomme:#Plommer
                print pl
            elif valg in potet:#Potet
                print po
            elif valg in sitron:#Sitron
                print s
            elif valg in sjelden:#Sjeldne frukter
                print sj
            elif valg in baerL:#Vis alle baernavn
                print baerM
            elif valg in frukter:#Vis meny over frukter
                print meny
            elif valg in menyer:#Vis meny over frukter og baer
                print meny + "\n" + baerM
            else:#Hvis ingen frukt ble valgt
                print ikke
        print
    except KeyboardInterrupt:
        print
        print kp #Gi en morsom beskjed hvis noen avslutter med 'Ctrl + C'
        print
        exit
#------------------------- Naa er det vinter (leken er slutt) -----------------------------
